Cant build properly latest eSpeakNG version


Valdis Vitolins
 

When I tried to renew eSpeakNG on my test server, it resists to apply latest changes. I tried to delete all espeak* and libespeak* files, but somehow still older version is running. What would be reproducible way to be sure clean latest install is deployed?


Valdis Vitolins
 

I solved this by manually deleting all libraries and forcing to reload them in following way:

1. Remove manually all libraries:
sudo rm /usr/lib/libespeak* /usr/local/lib/libespeak* /usr/local/lib/lt-espeak-ng*
sudo rm -fr /usr/include/espeak* /usr/share/espeak-ng-data

2. build and deploy espeak-ng as usual

3. Make sure libraries are reloaded:
sudo ldconfig -v

Maybe some of these additional checks should be added in espeak-ng setup.

Valdis

When I tried to renew eSpeakNG on my test server, it resists to apply latest changes. I tried to delete all espeak* and libespeak* files, but somehow still older version is running. What would be reproducible way to be sure clean latest install is deployed?